# DataExchange
TKVRML
VrmlData

# VrmlData_Cylinder Class Reference

`#include <VrmlData_Cylinder.hxx>`

Inheritance diagram for VrmlData_Cylinder:

[legend]

## Public Member Functions

| VrmlData_Cylinder ()
| VrmlData_Cylinder (const VrmlData_Scene &theScene, const char *theName, const Standard_Real theRadius=1., const Standard_Real theHeight=2.)
Standard_Real | Radius () const
Standard_Real | Height () const
Standard_Boolean | HasBottom () const
Standard_Boolean | HasSide () const
Standard_Boolean | HasTop () const
void | SetRadius (const Standard_Real theRadius)
void | SetHeight (const Standard_Real theHeight)
void | SetFaces (const Standard_Boolean hasBottom, const Standard_Boolean hasSide, const Standard_Boolean hasTop)
virtual Standard_EXPORT const | Handle (TopoDS_TShape)&TShape()
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const

## Private Attributes

Standard_Real | myRadius
Standard_Real | myHeight
Standard_Boolean | myHasBottom: 1
Standard_Boolean | myHasSide: 1
Standard_Boolean | myHasTop: 1

## Detailed Description

Implementation of the Cylinder node

## Constructor & Destructor Documentation

VrmlData_Cylinder::VrmlData_Cylinder | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Cylinder::VrmlData_Cylinder | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Real | theRadius = `1.`,
|  | const Standard_Real | theHeight = `2.`
| ) | `[inline]`

| Constructor

## Member Function Documentation

virtual Standard_EXPORT VrmlData_Cylinder::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT const VrmlData_Cylinder::Handle | ( | TopoDS_TShape |  | ) | `[virtual]`

| Query the primitive topology. This method returns a Null shape if there is an internal error during the primitive creation (zero radius, etc.) Implements VrmlData_Geometry.

Standard_Boolean VrmlData_Cylinder::HasBottom | ( |  | ) | const`[inline]`

| Query if the bottom circle is included

Standard_Boolean VrmlData_Cylinder::HasSide | ( |  | ) | const`[inline]`

| Query if the side surface is included

Standard_Boolean VrmlData_Cylinder::HasTop | ( |  | ) | const`[inline]`

| Query if the top surface is included

Standard_Real VrmlData_Cylinder::Height | ( |  | ) | const`[inline]`

| Query the Height

Standard_Real VrmlData_Cylinder::Radius | ( |  | ) | const`[inline]`

| Query the Radius

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Cylinder::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Fill the Node internal data from the given input stream. Implements VrmlData_Node.

void VrmlData_Cylinder::SetFaces | ( | const Standard_Boolean | hasBottom,
|  | const Standard_Boolean | hasSide,
|  | const Standard_Boolean | hasTop
| ) | `[inline]`

| Set which faces are included

void VrmlData_Cylinder::SetHeight | ( | const Standard_Real | theHeight | ) | `[inline]`

| Set the Height

void VrmlData_Cylinder::SetRadius | ( | const Standard_Real | theRadius | ) | `[inline]`

| Set the Radius

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Cylinder::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to output stream. Reimplemented from VrmlData_Node.

## Field Documentation

Standard_Boolean VrmlData_Cylinder::myHasBottom `[private]`

Standard_Boolean VrmlData_Cylinder::myHasSide `[private]`

Standard_Boolean VrmlData_Cylinder::myHasTop `[private]`

Standard_Real VrmlData_Cylinder::myHeight `[private]`

Standard_Real VrmlData_Cylinder::myRadius `[private]`

The documentation for this class was generated from the following file:

- VrmlData_Cylinder.hxx